#!/bin/sh
# sprawdza dostpno nowych wersji na serwerze
# wymaga: wget
# Jacek Fiok <jfiok@jfiok.org>

CURRENT=`ls VERSION* | head -1 | cut -f 2 -d "-"`
echo "Bieca wersja: " $CURRENT
echo -n "Pobieram informacje o aktualizacji..."
cd /tmp 
wget http://sms.jfiok.org/mailsms.php > /dev/null 2>&1
NEWEST="`cat mailsms.php | grep \"CURRENTVER-->\" | cut -f 2 -d \">\"`"
echo -e " zrobione.\n"
if [ ! "$CURRENT" = "$NEWEST" ]; then
	echo "Najnowsza wersja do pobrania: " "$NEWEST"
	echo "Strona projektu: http://sms.jfiok.org/"
	echo "Plik bezporednio do pobrania: http://sms.jfiok.org/pub/skrypty-sms-$NEWEST.tar.gz"
else
	echo "Posiadasz najnowsz wersj."
fi

rm mailsms.php
cd -
